<script setup lang="ts">
import { onMounted } from "vue";
import { useFoodStore } from "../../stores/foods";
import MenuItemDialog from "./MenuFoodDialog.vue";
import type Menu from "@/types/Menu";
import type food from "@/services/food";
const backendURL = import.meta.env.VITE_BACKEND_URL;
// const menuFoode = useFoodStore();
// const showDialog = () => {
//   return (menuFoode.useDialogFood = true);
// };
const foodStore = useFoodStore();
const showDialog = (item: Menu) => {
  // onMounted(async () => {
  //   await foodStore.getFoods();
  foodStore.selectItem(item);
  return (foodStore.useDialogFood = true);
  // });
};
</script>
<template>
  <v-container style="height: 539px; overflow-y: scroll; overflow-x: hidden">
    <v-row>
      <v-col
        v-for="item of foodStore.foods"
        :key="item.id"
        cols="6"
        md="6"
        class="auto"
        justify="center"
      >
        <v-card width="180px" @click="showDialog(item)">
          <v-img
            cover
            height="150"
            :src="`${backendURL}/products/${item.id}/image`"
          ></v-img>
          <v-card-item>
            <v-card-title>
              <div style="text-align: center">{{ item.name }}</div>
              <div style="text-align: center">{{ item.price }} บาท</div>
            </v-card-title>
          </v-card-item>
        </v-card>
      </v-col>
    </v-row>
    <MenuItemDialog></MenuItemDialog>
  </v-container>
</template>
<style scoped>
/* width */
::-webkit-scrollbar {
  width: 4px;
  height: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #746c6c;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgb(218, 215, 215);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #e93f3f;
}
</style>
